Bug 833118 - (CVE-2011-5094) CVE-2011-5094 nss: DoS via repeated SSL session renegotiations
CVE-2011-5094 nss: DoS via repeated SSL session renegotiations
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20110313,reported=2...
: Security
Depends On:
Blocks: 716425
  Show dependency treegraph
 
Reported: 2012-06-18 12:05 EDT by Vincent Danen
Modified: 2016-11-08 11:04 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 780846 None None None 2012-08-07 06:01:12 EDT

  None (edit)
Description Vincent Danen 2012-06-18 12:05:56 EDT
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2011-5094
Assigned: 20120616
Reference: URL: http://www.openwall.com/lists/oss-security/2011/07/08/2
Reference: URL: http://www.ietf.org/mail-archive/web/tls/current/msg07564.html
Reference: URL: http://www.ietf.org/mail-archive/web/tls/current/msg07567.html
Reference: URL: http://www.ietf.org/mail-archive/web/tls/current/msg07553.html
Reference: URL: http://www.ietf.org/mail-archive/web/tls/current/msg07576.html
Reference: URL: http://www.ietf.org/mail-archive/web/tls/current/msg07577.html
Reference: MISC: http://orchilles.com/2011/03/ssl-renegotiation-dos.html
Reference: MISC: http://vincent.bernat.im/en/blog/2011-ssl-dos-mitigation.html
Reference: MISC: http://www.educatedguesswork.org/2011/10/ssltls_and_computational_dos.html
Reference: MISC: https://bugzilla.redhat.com/show_bug.cgi?id=707065

** DISPUTED ** Mozilla Network Security Services (NSS) 3.x, with
certain settings of the SSL_ENABLE_RENEGOTIATION option, does not
properly restrict client-initiated renegotiation within the SSL and
TLS protocols, which might make it easier for remote attackers to
cause a denial of service (CPU consumption) by performing many
renegotiations within a single connection, a different vulnerability
than CVE-2011-1473.  NOTE: it can also be argued that it is the
responsibility of server deployments, not a security library, to
prevent or limit renegotiation when it is inappropriate within a
specific environment.

NOTE: this was originally tracked in bug #707065.
Comment 1 Tomas Hoger 2012-08-07 06:01:12 EDT
As noted in bug 707065, comment 2, applications using NSS can easily instruct the library to refuse any SSL/TLS session renegotiation if such functionality is not needed using the SSL_ENABLE_RENEGOTIATION option value SSL_RENEGOTIATE_NEVER.

Setting NSS_SSL_ENABLE_RENEGOTIATION environment variable to value of 0 or n should mitigate this issue without modifying application, unless the application explicitly sets the SSL_ENABLE_RENEGOTIATION option.

I filed upstream bug as there was none yet.  It's quite likely upstream will decide to wontfix given the nature of this issue and available mitigation.

https://bugzilla.mozilla.org/show_bug.cgi?id=780846
Comment 2 Murray McAllister 2014-10-21 20:40:33 EDT
Statement:

This issue affects the versions of nss in Red Hat Enterprise Linux 5, 6, and 7. Red Hat Product Security has rated this issue as having Low security impact.
We currently have no plans to fix this issue. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification

Note You need to log in before you can comment on or make changes to this bug.